Package com.tietoenator.trip.jxp.ccl

# Class TdbTermTree

java.lang.Object
com.tietoenator.trip.jxp.ccl.TdbTermTree

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbTermTree extends Object implements com.tietoenator.trip.jxp.internal.utils.DOMSink
A tree of terms, or rather a forest of trees of terms, such as is produced by the Display Down() command in CCL. Each term in the tree is an object of type TdbTreeEntry. Nodes are initially created without links, and once the tree is fully deserialized to a set of nodes, those nodes are linked into a forest by the method fixup().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbTermTree()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clear the tree of any existing content
  `int`
  `count()`
  Retrieve the number of terms within the tree
  `int`
  `getRootCount()`
  Retrieve the number of items in the tree that are root nodes
  `List<TdbTreeEntry>`
  `roots()`
  Retrieve the list of root nodes from the set of trees, i.e. those nodes that have no parent found in the forest

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbTermTree

    public TdbTermTree()
    Constructor

- ## Method Details

  - ### count

    public int count()
    Retrieve the number of terms within the tree
    Returns:
      The number of terms within the tree

  - ### roots

    public List<TdbTreeEntry> roots()
    Retrieve the list of root nodes from the set of trees, i.e. those nodes that have no parent found in the forest
    Returns:
      The collection of root nodes

  - ### getRootCount

    public int getRootCount()
    Retrieve the number of items in the tree that are root nodes
    Returns:
      The number of items in the tree that are root nodes

  - ### clear

    public void clear()
    Clear the tree of any existing content